/* utilities */

.section {
    position: relative;
    margin-top: 20px;
    padding: 20px;
}

.section.wb {
    background-color: #ffffff;
}

.section.lb {
    background-color: #f2f3f5;
}

.bw {
    background-color: #fff;
}

h1 {
    font-size: 2.8rem;
}

h2 {
    font-size: 1.5rem;
}

h3 {
    font-size: 1.17rem;
}

h2 + strong {
    display: block;
    margin-top: 1rem;
    font-size: 1.17rem;
}

.no-wrap {
    white-space: nowrap;
}

.container {
    padding-right: 15px;
    padding-left: 15px;
    margin: 20px auto;
    width: 80%;
}

.table-container {
    width: 100%;
    overflow: auto;
}

.img-rounded {
    border-radius: 6px;
}

.img-responsive {
    width: 100%;
    max-width: 500px;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

/* margin medium */
.mb-m {
    margin-bottom: 20px;
}

.flex {
    display: flex;
    gap: 20px;
    justify-content: space-between;
    align-items: center;
}

.flex-wrap {
    flex-wrap: wrap;
    justify-content: space-evenly;
}

.flex-alt .flex:nth-of-type(even) {
    flex-direction: row-reverse;
}

hr {
    position: relative;
    margin: 60px 20px;
    border: 1px dashed #d5d6d8;
}

.lead {
    padding-top: 10px;
    font-size: 1.5rem;
    font-style: normal;
    color: #000000;
    padding-bottom: 0;
    justify-content: center;
}

.btn-light {
    font-size: 1.1rem;
    border: 2px solid #448AFF;
    border-radius: 25px 0px 25px 0px;
    color: #ffffff;
    text-align: center;
    background-color: #448AFF;
    white-space: nowrap;
    padding: 10px 15px;
    text-decoration: none;
    display: inline-table;
}

.btn-light:hover {
    background-color: rgba(0, 0, 0, 0.5);
}

.top-bar i {
    color: #fff;
}

.envelope-stripes::before,
.envelope-stripes::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 10px;
    background-image: linear-gradient(135deg, #338dc2 12.50%, #ffffff 12.50%, #ffffff 25%, #e4100f 25%, #e4100f 37.50%, #fff 37.50%, #fff 50%, #338dc2 50%, #338dc2 62.50%, #ffffff 62.50%, #ffffff 75%, #e4100f 75%, #e4100f 87.50%, #fff 87.50%, #fff 100%);
    background-size: 226.27px 226.27px;
}

.envelope-stripes::after {
    top:auto;
    bottom: 0;
}

.more-info {
    position: relative;
    color: #448aff;
}

.more-info:hover::before {
    content: attr(data-info);
    position: absolute;
    left: 0;
    bottom: 100%;
    font-weight: normal;
    font-size: 0.9rem;
    color: #fff;
    background-color: rgb(0 0 0 / 80%);
    padding: 2px 5px;
    border-radius: 5px;
    z-index: 1;
}

/* Cart items counter */
.cart-items-count {
    position: absolute;
    top: -0.7rem;
    right: 0;
    padding: 2px 5px;
    border-radius: 10px;
    font-family: sans-serif;
    font-size: .9rem;
    line-height: 1;
    color: #fff;
    background-color: #eb3941;
}

/* Page banner*/
.banner {
    position: relative;
    padding: 10px;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 40vh;
    z-index: 0;
}

.banner::before {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.26);
    z-index: -1;
}

.banner p {
    color: #fff;
    font-size: 2.3rem;
    font-weight: 700;
    letter-spacing: 1px;
    margin-left: 20px;
    text-shadow: #000 0 0 10px;
}

.banner p::before {
    background: #448AFF;
    display: inline-block;
    width: 4px;
    line-height: 1;
    margin-right: 1rem;
    content: "\00a0";
}

.pagination {
    margin: 20px auto;
}

.pagination a {
    color: black;
    padding: 8px 14px;
    text-decoration: none;
}

.pagination a.current-page {
    background-color: #448aff;
    border-radius: 4px;
    color: #fff;
}

.no-result {
    padding: 10px;
    border-radius: 5px;
    color: #212121;
    background-color: #ffeb3b;
    font-size: 1rem;
    text-align: center;
}

/* home view*/

.slider-container {
    position: relative;
    white-space: nowrap;
    overflow: hidden;
    height: 30vw;
    width: 100%;
    min-height: 300px;
    margin: auto;
    max-height: 720px;
}

.slider-container .slide-title {
    color: #fff;
    font-size: 5.3vw;
    font-weight: 700;
    text-transform: capitalize;
    text-shadow: 0px 4px 3px rgb(0 0 0 / 40%), 0px 8px 13px rgb(0 0 0 / 10%), 0px 18px 23px rgb(0 0 0 / 10%);
    z-index: 1;
}

.slider-container .slide-title em {
    color: #448AFF;
    font-style: normal;
}

.slider-container p {
    color: #fff;
    font-size: 3.1vw;
    letter-spacing: 1px;
    text-transform: capitalize;
    z-index: 1;
}

.slider {
    display: flex;
    position: absolute;
    height: 100%;
    top: 0;
    left: 0%;
    animation-name: sliding;
    animation-duration: 9s;
    animation-iteration-count: infinite;
}

@keyframes sliding {

    0%,
    22.22% {
        transform: translateX(0%);
        /* left: 0% */
    }

    /* 1s for animation between 22.22% - 33.33% */
    33.33%,
    55.55% {
        transform: translateX(-25%);
        /* left: -100% */
    }

    66.66%,
    88.88% {
        transform: translateX(-50%);
        /* left: -200% */
    }

    100% {
        transform: translateX(-75%);
        /* left: -300% */
        animation-timing-function: step-end;
    }

}

.slider>* {
    display: flex;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    height: inherit;
    width: 100vw;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    overflow: hidden;
}

.slider>*::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.23);
}

.slide-one,
.slide-four {
    background-image: url('/img/sliders/slide1.jpg');
}

.slide-two {
    background-image: url('/img/sliders/slide2.jpg');
}

.slide-three {
    background-image: url('/img/sliders/slide3.jpg');
}

.home-view article.flex>* {
    width: 50%;
}

.home-view p + em {
    font-size: 5.5vw;
}

.home-view article img {
    max-width: 500px;
}

.home-view .services .flex {
    align-items: flex-start;
}

.home-view .services .flex>* {
    width: 30%;
    min-width: 240px;
}

.home-view .products .flex>* {
    width: 25%;
}

.home-view .makers-carousel {
    --ITEM_SIZE: 17%;
}

/* about */
.about-view .banner {
    background-image: url('/img/about/cover.jpg');
}

/* .about-view .container {
    margin-right: auto;
    margin-left: auto;
    padding: 80px 50px;
    width: 60%;
} */

.about-view .container h2 {
    font-size: 1.8rem;
    letter-spacing: 1px;
    font-weight: 500;
    text-transform: capitalize;
}

.about-view .flex {
    align-items: flex-start;
}

/* services */
.services-view .banner {
    background-image: url('/img/services/cover.jpg');
}

/* .services-view .container {
    margin-right: auto;
    margin-left: auto;
    padding: 80px 50px;
    width: 80%;
} */

.services-view .container h1 {
    margin-bottom: 3rem;
}

.services-view .container h2 {
    font-size: 1.8rem;
    letter-spacing: 1px;
    font-weight: 500;
    text-transform: capitalize;
}

.services-view article>* {
    width: 50%;
}

.services-view article div {
    flex-grow: 1;
}

.services-view article img {
    max-width: 400px;
}

/* store */
.store-view .banner {
    background-image: url('/img/store/cover.jpg');
}

.store-view .container {
    display: flex;
    gap: 10px;
    margin-top: 30px;
}

.store-view .product-widget img {
    height: 200px;
    object-fit: contain;
}

.store-view .filter-container {
    min-width: 220px;
}

.store-view .filter-by {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 5px;
    border-bottom: 1px solid #bdbdbd;
}

.store-view .clear-filter {
    cursor: pointer;
}

.chk-filter {
    display: none;
}

.store-view .filter-type>li {
    position: relative;
    padding: 10px 0;
    border-bottom: 1px solid #bdbdbd;
}

.store-view .filter-type>li>label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
    font-size: 1.1rem;
    white-space: nowrap;
}

.store-view .filter-type label em {
    font-style: normal;
    padding: 0 4px;
    border-radius: 4px;
    color: #fff;
    background-color: #448AFF;
}

.store-view .filter-type>li label,
.store-view .dropdown-content li {
    cursor: pointer;
}

.store-view .filter-type>li>label i {
    font-size: .7rem;
}

.store-view .filter-type>li .chk-filter:checked+label i[class^="icon-"]::before {
    content: "\ea0b";
}

.store-view .dropdown-content {
    padding: 0;
    max-height: 0vh;
    overflow: hidden;
    font-size: .9rem;
    transition: max-height .3s, padding .3s;
}

.store-view .dropdown-content li {
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 0 1px;
    margin-bottom: 3px;
    border-radius: 2px;
    white-space: nowrap;
}

.store-view .filter-type>li .chk-filter:checked~.dropdown-content {
    margin-top: 10px;
    max-height: 40vh;
    overflow-y: auto;
}

.chk-filter-item {
    flex-shrink: 0;
    width: 18px;
    height: 18px;
}

.store-view .dropdown-content li label {
    flex-grow: 1;
}

.store-view .dropdown-content li:hover {
    background-color: #eee;
}

.store-view .products-container {
    flex-grow: 1;
}

/* Search form */
.search-container {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 10px;
}

.search-container form {
    display: flex;
}

.search-container i {
    color: #fff;
}

.search-container input[type=search] {
    padding: 5px;
    font-size: 17px;
    border: 1px solid #ccc;
    border-right: none;
    border-radius: 8px 0px 0px 8px;
    outline: none;
}

.search-container button {
    float: right;
    padding: 6px 10px;
    background: #448AFF;
    font-size: 17px;
    border: none;
    border-radius: 0px 8px 8px 0px;
    cursor: pointer;
}

.search-container button:hover {
    background: #ccc;
}

.store-view .products-list {
    gap: 40px 20px;
    align-items: stretch;
}

.store-view .product-widget {
    position: relative;
    width: 20%;
    min-width: 150px;
    overflow: hidden;
    text-decoration: none;
    cursor: pointer;
}

.product-widget .note {
    position: absolute;
    padding: 1% 2%;
    top: 0;
    left: 0;
    border-radius: 4px;
    color: #fff;
    font-size: 0.9rem;
    font-weight: 500;
    background-color: rgba(12, 60, 96, 0.71);
}

.product-widget .desc {
    font-weight: 500;
    font-size: 1.1rem;
}

.product-widget .view {
    position: absolute;
    padding: 8%;
    width: 100%;
    border-radius: 5px;
    bottom: 0;
    color: #fff;
    font-weight: 500;
    background-color: #424242;
    opacity: 0;
    transform: translateY(100%);
    transition: opacity .3s, transform .3s;
}

.product-widget:hover .view ,
.product-widget:focus .view {
    opacity: .9;
    transform: translateY(0);
    z-index: 1;
}

/* product view */
.product-view .container {
    width: 60%;
}

.product-view .product .flex {
    justify-content: space-evenly;
    gap: 10px;
}

.product-view .product .flex>* {
    width: 40%;
}

.product-view .product h1 {
    font-size: 1.8rem;
}

.product-view .description {
    font-size: 1.3rem;
}

.product-view .request-product {
    margin-top: 1.5rem;
    white-space: nowrap;
}

.product-view .request-product i {
    margin-right: 5px;
}

.product-view .request-product[data-added="1"] {
    background-color: #9e9e9e;
}

.product-view .request-product[data-added="1"] i::before {
    content: '\ea0f';
}

.product-view .banner {
    background-image: url('/img/store/cover.jpg');
}

.product-view .request-quotation {
    margin-top: 2rem;
}

.product-view .product-image {
    height: 250px;
    object-fit: contain;
    cursor: zoom-in;
}

.product-view .product-container.full-screen {
    display: flex;
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    padding: 10px;
    z-index: 99999;
    background-color: rgb(0 0 0 / 80%);
}

.product-view .product-container.full-screen .product-image {
	max-width: initial;
    height: auto;
    cursor: auto;
}

.product-view .product-container.full-screen .product-image-close {
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 1.5rem;
    -webkit-text-stroke: 1px #fff;
    cursor: pointer;
}

.product-view .product-carousel .carousel-item {
    cursor: pointer;
}

.product-view .product-carousel.full-screen .carousel-item {
    cursor: auto;
}

.product-view .product-carousel .carousel-item img {
    height: 50px;
}

/* table */
.table-container table {
    border-collapse: collapse;
    width: 100%;
}

.table-container td,
.table-container th {
    border: 1px solid #ddd;
    padding: 8px;
    white-space: pre;
}

.table-container tr:nth-child(even) {
    background-color: #f9f9f9;
}

.specs-sheet th {
    width: 1%;
    white-space: nowrap;
    color: #333;
    font-weight: 700;
    text-align: left;
}

.product-components-section {
    margin-top: 40px;
}

.product-components-section p {
    margin: 10px 0;
}

.product-components thead tr {
    background-color: #333;
    color: #fff;
}

.product-components .add-to-request {
    border: none;
    color: #fff;
    background-color: #4caf50;
}

.product-components .add-to-request[data-added = "1"] {
    background-color: #9e9e9e;
}

.add-to-request[data-added = "1"] i::before {
    content: '\ea0f';
}

/* Cart view */
.empty-cart {
    border-radius: 5px;
    text-align: center;
    background-color: #ffeb3b;
}

.cart-item {
    position: relative;
    margin-bottom: 15px;
    padding: 10px;
    border-radius: 5px;
}

.cart-item:nth-child(even) {
    background-color: #f5f5f5;
}

.cart-item .item-row {
    display: flex;
    align-items: flex-start;
    gap: 20px;
}

.cart-item .item-type {
    display: inline-block;
    margin-bottom: 10px;
    background-color: #607d8b;
    padding: 2px 10px;
    border-radius: 5px;
    color: #fff;
}

.cart-item .item-type.Product {
    background-color: #005792;
}

.cart-item .item-type.Component {
    background-color: #4caf50;
}

.cart-item .item-description {
    flex-grow: 1;
    align-self: center;
    font-size: 1.1rem;
    font-weight: 500;
}

.cart-item .item-number ,
.cart-item .item-part-number {
    margin: 5px 0;
    font-family: sans-serif;
    font-size: 1rem;
}

.cart-item .item-quantity-wrapper {
    display: flex;
    align-items: stretch;
    gap: 10px;
}

.cart-item .decrease-quantity {
    border: none;
    background-color: #f44336;
    color: #fff;
}

.cart-item .increase-quantity {
    border: none;
    background-color: #4caf50;
    color: #fff;
}

.cart-item .item-quantity {
    width: 3rem;
    text-align: center;
    font-family: sans-serif;
}

.cart-item .remove-item {
    margin-left: 20px;
    border: none;
    color: #fff;
    background-color: #9e9e9e;
}

.cart-item .item-product {
    margin-top: 10px;
    font-size: 0.9rem;
    font-style: italic;
}

.cart-item .item-notes {
    margin-top: 10px;
    color: #9e9e9e;
    font-size: 0.9rem;
    white-space: pre-line;
}

.cart-item .item-url {
    margin-top: 10px;
}

.cart-item .item-url a {
    color: #1565c0;
}

.cart-view .banner {
    background-image: url('/img/store/cart_cover.jpg');
}

.cart-view .quotation-form {
    position: relative;
    border: 1px solid #ededed;
    box-shadow: 0 5px 14px rgb(0 0 0 / 10%);
    background-color: #f2f3f5;
    padding: 40px 30px;
}

.cart-view .quotation-form .form-control {
    border: 1px solid #ebebeb;
    outline: 0 none;
    padding: 10px;
}

.cart-view .quotation-form textarea.form-control {
    height: 8rem;
    resize: vertical;
}

.cart-view .form-control::placeholder {
    color: #bcbcbc;
}

.contact .control-set.captcha {
    align-items: stretch;
}

/* contact */
.contact-view .banner {
    background-image: url('/img/contact-us/cover.jpg');
}

.contact-view .contact {
    background-image: url('/img/contact-us/bg.png');
}

.contact-view address {
    font-style: normal;
    margin-bottom: 3rem;
}

.contact-view address h2 {
    letter-spacing: 1px;
    font-weight: bold;
    text-transform: capitalize;
}

.contact-view address .title {
    margin-top: 1rem;
    font-weight: 500;
    padding: 0;
}

.contact-view .contact-form {
    position: relative;
    border: 1px solid #ededed;
    box-shadow: 0 5px 14px rgb(0 0 0 / 10%);
    background-color: #f2f3f5;
    padding: 40px 30px;
    width: 50%;
}

.contact-view .contact-form .form-control {
    border: 1px solid #ebebeb;
    outline: 0 none;
    padding: 10px;
}

.contact-view .contact-form textarea.form-control {
    height: 8rem;
    resize: vertical;
}

.contact-view .form-control::placeholder {
    color: #bcbcbc;
}

.contact-view .flex {
    gap: 60px;
    margin-top: 3rem;
    align-items: flex-start;
}

.contact .control-set.captcha {
    align-items: stretch;
}

.contact-view .map {
    margin-top: 40px;
}

@media (max-width: 1440px) {
    .container {
        width: 90%;
    }
}

@media (max-width: 1024px) {
    .main-nav a {
        padding: 10px 12px;
    }

    .container {
        padding: 0;
    }

    .store-view .container {
        padding: 0;
    }

    .contact-view .flex {
        gap: 20px;
    }

    .contact-view .contact-form {
        width: 90%;
    }

    .product-view .product .container {
        width: 100%;
    }
}

@media (max-width: 768px) {

    .container {
        padding: 0;
    }

    h1 {
        font-size: 2.3rem;
    }

    .lead {
        font-size: 1.3rem;
    }

    .banner p {
        font-size: 2rem;
    }

    .home-view article.flex>* {
        width: 80%;
    }

    .contact-view .flex,
    article.flex,
    .flex-alt article.flex:nth-of-type(even) {
        flex-direction: column;
    }

    article.flex>* {
        width: 100%;
    }

    .contact-view .contact-form {
        width: 100%;
    }

    .product-view .product .flex {
        flex-direction: column-reverse;
    }

    .product-view .product .flex>* {
        width: 100%;
        text-align: center;
    }
}

@media (max-width: 545px) {
    .cart-items-count {
        top: 0;
        right: auto;
        left: 0;
    }
}

@media (max-width: 470px) {
    h1 {
        font-size: 1.8rem;
    }

    h2 {
        font-size: 1.5rem;
    }

    .lead {
        font-size: 1.2rem;
    }

    .banner p {
        font-size: 1.5rem;
    }

    .btn-light {
        font-size: 0.8rem;
    }

    hr {
        margin: 20px;
    }

    .main-nav a {
        padding: 10px;
    }

    .home-view article.flex>* {
        width: 90%;
    }

    .home-view .carousel {
        --ITEM_SIZE: 30%;
    }

    .about-view .flex {
        flex-direction: column;
    }

    .about-view .flex>* {
        width: 100%;
    }

    .store-view .search-container {
        justify-content: center;
    }

    .store-view .container {
        flex-direction: column;
        align-items: center;
    }

    .store-view .filter-container {
        width: 100%;
    }

    .store-view .filter-container h2 {
        text-align: center;
    }

    .store-view .filter-type {
        display: flex;
        justify-content: space-evenly;
        gap: 20px;
        position: relative;
    }

    .store-view .filter-type>li {
        position: static;
        border-bottom: none;
    }

    .store-view .dropdown-content {
        position: absolute;
        left: 0;
        top: 100%;
        width: 100%;
        border-radius: 5px;
        background-color: #fafafa;
        box-shadow: #9e9e9e 0 0 10px;
        z-index: 1;
    }

    .store-view .filter-type>li .chk-filter:first-child ~ .dropdown-content {
        margin-top: initial;
        max-height: 0;
    }
    
    .store-view .filter-type>li .chk-filter:first-child ~ label i[class^="icon-"]::before {
        content: "\ea0a";
    }

    .store-view .filter-type>li:focus-within .chk-filter ~ .dropdown-content {
        margin-top: 10px;
        max-height: 40vh;
    }

    .store-view .filter-type>li:focus-within .chk-filter ~ label i[class^="icon-"]::before {
        content: "\ea0b";
    }

    .store-view .filter-type > li:focus-within .chk-filter:checked ~ .dropdown-content {
        padding: 10px;
        z-index: 2;
    }

    .store-view .product-widget {
        flex-grow: 0;
        width: 90%;
    }

    .cart-item .item-row {
        flex-direction: column-reverse;
        align-items: flex-start;
    }

    .cart-item .item-quantity-wrapper {
        width: 100%;
    }

    .cart-item .remove-item {
        margin-left: auto;
    }
}

@media (max-width: 425px) {
    .home-view .carousel {
        --ITEM_SIZE: 53%;
    }
}

@media (max-width: 360px) {
    h2{
        font-size: 1.3rem;
    }

    .banner {
        height: 20vh;
    }

    .lead {
        font-size: 1rem;
    }

    .home-view .carousel {
        --ITEM_SIZE: 44%;
    }
}


@media (max-width: 320px) {
    .home-view .carousel {
        --ITEM_SIZE: 39%;
    }
}
